#preloader {
    position: fixed;
    inset: 0;
    background: #FCF7F2;
    z-index: 1000;
    opacity: 1;
    visibility: visible;
}

html.preloader-seen #preloader {
    display: none !important;
}

html:not(.preloader-seen):has(#preloader) {
    overflow: hidden;
}

.liquid {
    position: absolute;
    left: 0;
    width: 100dvw;
    height: 100lvh;
    bottom: calc(100dvh - 100lvh);
}

#preloader .liquid,
#preloader .logo {
    visibility: hidden;
}

.logo {
    position: absolute;
    display: block;
    overflow: visible;
    z-index: 10000;
    width: clamp(360px, 30vw, 500px);
    height: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transform-style: preserve-3d;
    transform-origin: left center;
}